var o = Object.defineProperty;
var s = (r, t, e) => t in r ? o(r, t, { enumerable: !0, configurable: !0, writable: !0, value: e }) : r[t] = e;
var i = (r, t, e) => (s(r, typeof t != "symbol" ? t + "" : t, e), e);
import { g_ as l, V as a, hr as c, bs as n, hs as p, g0 as g } from "./684d2f28.js";
import "react";
import "react-dom";
class C extends l {
  constructor() {
    super(...arguments);
    i(this, "IGNORABLE_DEFAULT_VALUE", !1);
  }
  getDefaultValue() {
    return !1;
  }
  getPropertyView() {
    return /* @__PURE__ */ a(c, {
      value: this.value,
      onChange: (e) => this.dispatchChangeValueAction(e)
    });
  }
  propertyView(e) {
    return n({
      filterText: e.label
    }, /* @__PURE__ */ a(p, {
      ...e,
      children: e.type === "checkbox" ? /* @__PURE__ */ a(g, {
        style: {
          marginRight: "8px"
        },
        checked: this.value,
        onChange: (h) => this.dispatchChangeValueAction(h.target.checked)
      }) : this.getPropertyView()
    }));
  }
}
export {
  C as BoolShareVideoControl
};
